package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 意见反馈对象 tb_idea
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbIdea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long ideaId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;

    /** 描述 */
    @Excel(name = "描述")
    private String ideaDesc;

    /** ;分割的url */
    @Excel(name = ";分割的url")
    private String ideaUrl;

    public void setIdeaId(Long ideaId) 
    {
        this.ideaId = ideaId;
    }

    public Long getIdeaId() 
    {
        return ideaId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setIdeaDesc(String ideaDesc) 
    {
        this.ideaDesc = ideaDesc;
    }

    public String getIdeaDesc() 
    {
        return ideaDesc;
    }
    public void setIdeaUrl(String ideaUrl) 
    {
        this.ideaUrl = ideaUrl;
    }

    public String getIdeaUrl() 
    {
        return ideaUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ideaId", getIdeaId())
            .append("userId", getUserId())
            .append("type", getType())
            .append("ideaDesc", getIdeaDesc())
            .append("ideaUrl", getIdeaUrl())
            .append("createTime", getCreateTime())
            .toString();
    }
}
